#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include "gpuhash.h"

int main(int argc, char **argv) {
    if(argc != 3) {
        printf("Usage: gpuhash t_cost m_cost\n");
        return 1;
    }
    uint32_t t_cost = atoi(argv[1]);
    uint32_t m_cost = atoi(argv[2]);
    uint8_t hash[32];
    int retVal = PHS(hash, 32, "password", 8, "salt", 4, t_cost, m_cost);
    for(uint32_t i = 0; i < 32; i++) {
        printf("%02x", hash[i]);
    }
    printf("\n");
    return retVal;
}
